This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 635835 - PC should only ask discovery components for additional classpath URLs (i.e. client jars) if per-resource classloaders are enabled in the plugin container config
PC should only ask discovery components for additional classpath URLs (i.e. c...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
3.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: 725852 726455
  Show dependency treegraph
 
Reported: 2010-09-20 16:26 EDT by Ian Springer
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 726455 (view as bug list)
Environment:
Last Closed: 2013-09-03 12:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2010-09-20 16:26:32 EDT
Otherwise, the plugin is doing unnecessary work, since the PC won't use the list of jars returned for anything anyway.
Comment 1 Ian Springer 2010-09-20 16:35:11 EDT
Fixed in master (commit 594c686) and release-3.0.0 (commit 0a244b7).
Comment 2 Mike Foley 2011-06-29 16:23:50 EDT
discussed with ips.  impossible to verify without attaching a debugger. the only case where per-res classloaders would not be enabled would be when the pc is running in the admin-console. no regressions there, or in other plugins.
Comment 5 Heiko W. Rupp 2013-09-03 12:56:28 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.